<?php

/**
 * @file
 * Contains Views hooks.
 */

/**
 * Implements hook_views_data_alter().
 */
function spectra_views_data_alter(array &$data) {
  // Statement reverse references
  $data['spectra_action']['spectra_statement']['relationship'] = [
    'title' => t('Statement Referencing Action'),
    'help' => t('Statement Referencing Action'),
    'base' => 'spectra_statement',
    'base field' => 'action_id',
    'relationship field' => 'action_id',
    'id' => 'standard',
    'label' => t('Statement Referencing Action'),
  ];
  $data['spectra_actor']['spectra_statement']['relationship'] = [
    'title' => t('Statement Referencing Actor'),
    'help' => t('Statement Referencing Actor'),
    'base' => 'spectra_statement',
    'base field' => 'actor_id',
    'relationship field' => 'actor_id',
    'id' => 'standard',
    'label' => t('Statement Referencing Actor'),
  ];
  $data['spectra_context']['spectra_statement']['relationship'] = [
    'title' => t('Statement Referencing Context'),
    'help' => t('Statement Referencing Context'),
    'base' => 'spectra_statement',
    'base field' => 'context_id',
    'relationship field' => 'context_id',
    'id' => 'standard',
    'label' => t('Statement Referencing Context'),
  ];
  $data['spectra_object']['spectra_statement']['relationship'] = [
    'title' => t('Statement Referencing Object'),
    'help' => t('Statement Referencing Object'),
    'base' => 'spectra_statement',
    'base field' => 'object_id',
    'relationship field' => 'object_id',
    'id' => 'standard',
    'label' => t('Statement Referencing Object'),
  ];

  // Statement/data and statement/statement relationships
  $data['spectra_statement']['spectra_data']['relationship'] = [
    'title' => t('Data Referencing Statement'),
    'help' => t('Data Referencing Statement'),
    'base' => 'spectra_data',
    'base field' => 'statement_id',
    'relationship field' => 'statement_id',
    'id' => 'standard',
    'label' => t('Data Referencing Statement'),
  ];

  $data['spectra_statement']['spectra_statement']['relationship'] = [
    'title' => t('Child Statements'),
    'help' => t('Child Statements'),
    'base' => 'spectra_statement',
    'base field' => 'parent_statement',
    'relationship field' => 'statement_id',
    'id' => 'standard',
    'label' => t('Child Statements'),
  ];

  // Data Viewers
  $data['spectra_actor']['spectra_actor_viewer'] = [
    'title' => t('Render additional data'),
    'help' => t('Renders data in Spectra Actor in a specified format.'),
    'field' => [
      'id' => 'spectra_actor_viewer',
    ],
  ];
  $data['spectra_action']['spectra_action_viewer'] = [
    'title' => t('Render additional data'),
    'help' => t('Renders data in Spectra Action in a specified format.'),
    'field' => [
      'id' => 'spectra_action_viewer',
    ],
  ];
  $data['spectra_object']['spectra_object_viewer'] = [
    'title' => t('Render additional data'),
    'help' => t('Renders data in Spectra Object in a specified format.'),
    'field' => [
      'id' => 'spectra_object_viewer',
    ],
  ];
  $data['spectra_context']['spectra_context_viewer'] = [
    'title' => t('Render additional data'),
    'help' => t('Renders data in Spectra Context in a specified format.'),
    'field' => [
      'id' => 'spectra_context_viewer',
    ],
  ];
  $data['spectra_data']['spectra_data_viewer'] = [
    'title' => t('Render stored data'),
    'help' => t('Renders data in Spectra data in a specified format.'),
    'field' => [
      'id' => 'spectra_data_viewer',
    ],
  ];

}